C# Класс Revit.SDK.Samples.Reinforcement.CS.GeometrySupport

The base class which support beamGeometrySupport and ColumnGeometrySupport etc. it store some common geometry information, and give some helper fuctions
Показать файл Открыть проект

Защищенные свойства (Protected)

Свойство Тип Описание
m_drivingLine System.Line
m_drivingVector Autodesk.Revit.DB.XYZ
m_edges List
m_points List
m_solid Solid
m_transform Transform

Открытые методы

Метод Описание
GeometrySupport ( FamilyInstance element, Options geoOptions ) : System

constructor

Защищенные методы

Метод Описание
GetDrivingLineLength ( ) : double

Get the length of driving line

GetRelatedVectors ( Autodesk point ) : List

Get two vectors, which indicate some edge direction which contain given point, set the given point as the start point, the other end point of the edge as end

OffsetPoints ( double offset ) : List

Offset the points of the swept profile to make the points inside swept profile

Transform ( Autodesk point ) : Autodesk.Revit.DB.XYZ

transform the point to new coordinates

Приватные методы

Метод Описание
ChangeEdgeToLine ( EdgeArray edges ) : List

Change the swept profile edges from EdgeArray type to line list

GetSweptProfile ( Solid solid ) : bool

Find the inforamtion of the swept profile(face), and store the points and edges of the profile(face)

GetSweptProfileFace ( Solid solid ) : Face

Get the swept profile(face) of the host object(family instance)

Описание методов

GeometrySupport() публичный Метод

constructor
public GeometrySupport ( FamilyInstance element, Options geoOptions ) : System
element FamilyInstance the host object, must be family instance
geoOptions Options the geometry option
Результат System

GetDrivingLineLength() защищенный Метод

Get the length of driving line
protected GetDrivingLineLength ( ) : double
Результат double

GetRelatedVectors() защищенный Метод

Get two vectors, which indicate some edge direction which contain given point, set the given point as the start point, the other end point of the edge as end
protected GetRelatedVectors ( Autodesk point ) : List
point Autodesk a point of the swept profile
Результат List

OffsetPoints() защищенный Метод

Offset the points of the swept profile to make the points inside swept profile
protected OffsetPoints ( double offset ) : List
offset double indicate how long to offset on two directions
Результат List

Transform() защищенный Метод

transform the point to new coordinates
protected Transform ( Autodesk point ) : Autodesk.Revit.DB.XYZ
point Autodesk the point need to transform
Результат Autodesk.Revit.DB.XYZ

Описание свойств

m_drivingLine защищенное свойство

the extend or sweep path of the beam or column
protected Line,System m_drivingLine
Результат System.Line

m_drivingVector защищенное свойство

the director vector of beam or column
protected XYZ,Autodesk.Revit.DB m_drivingVector
Результат Autodesk.Revit.DB.XYZ

m_edges защищенное свойство

a list to store the edges
protected List m_edges
Результат List

m_points защищенное свойство

a list to store the point
protected List m_points
Результат List

m_solid защищенное свойство

store the solid of beam or column
protected Solid m_solid
Результат Solid

m_transform защищенное свойство

the transform value of the solid
protected Transform m_transform
Результат Transform